Package com.beust.jcommander.defaultprovider

# Class PropertyFileDefaultProvider

java.lang.Object
com.beust.jcommander.defaultprovider.PropertyFileDefaultProvider

All Implemented Interfaces:
  `IDefaultProvider`

public class PropertyFileDefaultProvider extends Object implements IDefaultProvider
A default provider that reads its default values from a property file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`PropertyFileDefaultProvider()`
`PropertyFileDefaultProvider(String fileName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultValueFor(String optionName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_FILE_NAME

public static final String DEFAULT_FILE_NAME

See Also:
  - Constant Field Values

## Constructor Details

### PropertyFileDefaultProvider

public PropertyFileDefaultProvider()

### PropertyFileDefaultProvider

public PropertyFileDefaultProvider(String fileName)

## Method Details

### getDefaultValueFor

public String getDefaultValueFor(String optionName)

Specified by:
  `getDefaultValueFor` in interface `IDefaultProvider`
Parameters:
  `optionName` - The name of the option as specified in the names() attribute of the @Parameter option (e.g. "-file").
Returns:
  the default value for this option.